Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003434TestLinkTest Executepublic2010-05-05 23:162010-08-31 20:29
Reporterrtessier 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 3 
Fixed in Version1.9 Beta 5 
Summary0003434: Performance problems when calling function get_keyword_map() to populate keywords filter
DescriptionWe have a very large database (millions of results across thousands of test cases) and certain features are very slow unless keywords are disabled. For example, clicking on the "Execute" link will trigger a call to the get_keywords_map in the testplan class (through the initializeGui method in lib/execute/execNavigator.php). This call usually takes more than 1 minute to complete in our case. Removing this call reduces the response time to a few seconds.

NOTE: Internally, the get_keywords_map method from the testplan class calls the get_linked_tcversions method, which seems to be a major cause of performance issues. In our case, some reports are unusable because they invoke this method multiple times, taking more than 10 minutes to complete in some instances.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3434.zip [^] (29,428 bytes) 2010-05-07 01:37

- Relationships

-  Notes
(0009918)
fman (administrator)
2010-05-05 23:55

issue is not DISABLING Keywords, but found a better implementation to get it
(0009922)
fman (administrator)
2010-05-06 00:03

To enable filtering by keywords we have choose to display ONLY keywords that are present on TEST CASES linked to Testplan, instead of creating a combo with ALL KEYWORDS present on test project
(0009924)
fman (administrator)
2010-05-06 03:27

would you mind to try with attached fix and give us feedback ?
(0009925)
fman (administrator)
2010-05-06 03:29

Reminder sent to: Julian

would you mind to read and give opinion ?
(0009941)
rtessier (reporter)
2010-05-07 00:35

I tried the fix and it works great. The time it takes to run get_keywords_map is between 1 and 3 seconds.

Thanks a lot for the quick fix!
(0009942)
fman (administrator)
2010-05-07 01:15

@rtessier
Attention we have found a minor bug on the fix => I will recreate a new one => use next fix when available.
Strange thing is that one member of dev team have had worst performance using the fix.
(0009944)
fman (administrator)
2010-05-07 01:37

new fix uploaded
(0009949)
rtessier (reporter)
2010-05-07 02:35

The new fix is even better, the execution time for get_keywords_map is now between 10 and 30 milliseconds. Thanks again!
(0009951)
fman (administrator)
2010-05-07 02:57

OK, will set to resolved
(0011210)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-05-05 23:16 rtessier New Issue
2010-05-05 23:55 fman Note Added: 0009918
2010-05-06 00:03 fman Note Added: 0009922
2010-05-06 03:23 fman Category Keywords => Test Execute
2010-05-06 03:23 fman Summary There should be an easy way to disable keywords => Performance problems when calling function get_keyword_map() to populate keywords filter
2010-05-06 03:27 fman Note Added: 0009924
2010-05-06 03:27 fman File Added: fix-3434.zip
2010-05-06 03:28 fman Assigned To => fman
2010-05-06 03:28 fman Status new => feedback
2010-05-06 03:29 fman Note Added: 0009925
2010-05-07 00:35 rtessier Note Added: 0009941
2010-05-07 01:15 fman Note Added: 0009942
2010-05-07 01:36 fman File Deleted: fix-3434.zip
2010-05-07 01:37 fman File Added: fix-3434.zip
2010-05-07 01:37 fman Note Added: 0009944
2010-05-07 02:35 rtessier Note Added: 0009949
2010-05-07 02:57 fman Note Added: 0009951
2010-05-07 02:57 fman Status feedback => resolved
2010-05-07 02:57 fman Fixed in Version => 1.9 Beta 5
2010-05-07 02:57 fman Resolution open => fixed
2010-08-31 20:29 fman Note Added: 0011210
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker